microsoft-foundry.rest.security.o-auth2-auth
Datasets
Get dataset credentials
POST
/datasets/{name}/versions/{version}/credentials
Retrieves the SAS credential to access the storage account associated with a dataset version.
Paraméterek lekérdezése
api-version
string
kötelező
The API version to use for this operation.
Elérési útvonal paraméterei
name
string
kötelező
The name of the resource
version
string
kötelező
The specific version id of the DatasetVersion to operate on.
Válaszok
The request has succeeded.
Törzs
Content-Type: application/json
blobReference
BlobReference
kötelező
Blob reference details.
blobUri
string
kötelező
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
kötelező
ARM ID of the storage account to use.
credential
SasCredential
kötelező
SAS Credential definition
sasUri
string
kötelező
SAS uri
type
enum
kötelező
Type of credential
SAS
Kérés
POST /datasets/{name}/versions/{version}/credentials HTTP/1.1
Válasz
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json